gcc-compat.h: Fix __must_check.
authorAndre Noll <maan@systemlinux.org>
Sat, 19 Jan 2008 12:24:04 +0000 (13:24 +0100)
committerAndre Noll <maan@systemlinux.org>
Sat, 19 Jan 2008 12:24:04 +0000 (13:24 +0100)
It didn't work for gcc-4.

gcc-compat.h

index c4e4310..61c3c88 100644 (file)
@@ -16,7 +16,7 @@
 #define  __printf_1_2 __printf(1,2)
 #define  __printf_2_3 __printf(2,3)
 
-# if __GNUC__ >=3 && __GNUC_MINOR__ > 3
+# if __GNUC__ > 3  || (__GNUC__ == 3 && __GNUC_MINOR__ > 3)
 # define __must_check  __attribute__ ((warn_unused_result))
 # else
 # define __must_check  /* no warn_unused_result */